package org.colinvella.fancyfish.block;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.ItemModelMesher;
import net.minecraft.client.renderer.entity.RenderItem;
import net.minecraft.client.resources.model.ModelResourceLocation;
import net.minecraft.item.Item;

public class ModBlockItemRendererRegistry
{
	// registers block item renderers
    public static void registerBlockItemRenderers()
    {
        logger = FancyFishMod.getLogger();
        logger.info("Registering block item renderers...");
        
    	RenderItem renderItem = Minecraft.getMinecraft().getRenderItem();
    	ItemModelMesher itemModelMesher = renderItem.getItemModelMesher();    	
    	String locationPrefix = FancyFishMod.MOD_ID + ":";
    	
    	for (ModBlock modBlock : ModBlockRegistry.getModBlocks())
        {
    		String blockId = modBlock.getId();
    		logger.info("Registering block item renderer for " + blockId + "...");
			itemModelMesher.register(Item.getItemFromBlock(modBlock), 0, new ModelResourceLocation(locationPrefix + blockId, "inventory"));	
        }
    }
    
    private static ModLogger logger;
}

